%define snapshot 0

%define qtmajor 6
%define qtminor 4
%define qtsubminor 1

%define rel 1
%define pre 0

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%if %snapshot
%define qttarballdir qtdoc-everywhere-src-%{qtversion}-%pre
%else
%define qttarballdir qtdoc-everywhere-src-%{qtversion}
%endif

Name: qtdoc6
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt6 Documentation
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     https://www.qt.io/
Source0: https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Svg)
BuildRequires: cmake(Qt6Concurrent)
BuildRequires: cmake(Qt6Qml)
BuildRequires: cmake(Qt6Quick)
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6Network)
BuildRequires: cmake(Qt6Xml)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(Qt6Sql)
BuildRequires: cmake(Qt6Test)
BuildRequires: cmake(Qt6PrintSupport)
BuildRequires: cmake(Qt6OpenGL)
BuildRequires: cmake(Qt6OpenGLWidgets)
BuildRequires: cmake(Qt6DBus)
BuildRequires: cmake(Qt6QmlIntegration)
BuildRequires: cmake(Qt6QmlModels)
BuildRequires: cmake(Qt6QmlXmlListModel)
BuildRequires: cmake(Qt6Qml)
BuildRequires: cmake(Qt6Quick)
BuildRequires: cmake(Qt6QuickControls2)
BuildRequires: cmake(Qt6QuickTemplates2)
BuildRequires: qt6-qtdeclarative
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(xkbcommon)
BuildRequires: pkgconfig(vulkan)
BuildRequires: pkgconfig(openssl)
BuildRequires: cmake(LLVM)
BuildRequires: cmake(Clang)
BuildRequires: qttools6-assistant
BuildRequires: qttools6
BuildRequires: ninja

#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
Qt6 Documentation.

%files
%{_libdir}/qt6/examples/demos/calqlatr
%{_libdir}/qt6/examples/demos/samegame
%{_libdir}/qt6/examples/demos/rssnews
%{_libdir}/qt6/examples/demos/photoviewer
%{_libdir}/qt6/examples/demos/photosurface
%{_libdir}/qt6/examples/demos/maroon
%{_libdir}/qt6/examples/demos/coffee
%{_libdir}/qt6/examples/demos/clocks
%{_libdir}/qt6/examples/demos/stocqt
%{_libdir}/qt6/examples/demos/tweetsearch
%{_libdir}/qt6/mkspecs/qtdoc_dummy_file.txt

#------------------------------------------------------------------------------

%prep
%setup -q -n qtdoc-everywhere-src-%{qtversion}

%cmake -G Ninja \
	-DBUILD_EXAMPLES:BOOL=ON \
	-DBUILD_SHARED_LIBS:BOOL=ON \
	-DFEATURE_cxx2a:BOOL=ON \
	-DFEATURE_dynamicgl:BOOL=ON \
	-DFEATURE_ftp:BOOL=ON \
	-DFEATURE_opengl_dynamic:BOOL=ON \
	-DFEATURE_use_lld_linker:BOOL=ON \
	-DFEATURE_xcb_native_painting:BOOL=ON \
	-DFEATURE_openssl:BOOL=ON \
	-DFEATURE_openssl_linked:BOOL=ON \
	-DFEATURE_system_sqlite:BOOL=ON \
	-DQT_WILL_INSTALL:BOOL=ON \
	-DCMAKE_SKIP_RPATH=ON

%build
export LD_LIBRARY_PATH="$(pwd)/build/lib:${LD_LIBRARY_PATH}"
%ninja_build -C build

%install
%ninja_install -C build



%changelog
* Thu Dec 15 2022 neoclust <neoclust> 6.4.1-1.mga9
+ Revision: 1923042
- New version 6.4.1

* Fri Sep 30 2022 neoclust <neoclust> 6.4.0-1.mga9
+ Revision: 1893434
- New version 6.4.0

* Mon Aug 29 2022 papoteur <papoteur> 6.3.1-1.mga9
+ Revision: 1881755
- imported package qtdoc6

